package com.bonus.boot.manager.positive.service;

import com.bonus.boot.manager.basic.entity.PersonnelLibraryBean;
import com.bonus.boot.manager.manager.model.SysType;
import com.bonus.boot.manager.physical.entity.CountImportBean;
import com.bonus.boot.manager.physical.entity.NegativeResultBean;

import java.util.List;

public interface NegativeResultService {

    List<NegativeResultBean> getList(NegativeResultBean o);

    PersonnelLibraryBean getListById(String id);

    int getMessageByPhyNumber(NegativeResultBean o);

    List<SysType> getIllnessType(NegativeResultBean o);

    int addCountResultMessage(CountImportBean o);


}
